Upstream information

CVE-2018-16328 at MITRE

Description

In ImageMagick before 7.0.8-8, a NULL pointer dereference exists in the CheckEventLogging function in MagickCore/log.c.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 7.5
Vector AV:N/AC:L/Au:N/C:P/I:P/A:P
Access Vector Network
Access Complexity Low
Authentication None
Confidentiality Impact Partial
Integrity Impact Partial
Availability Impact Partial
CVSS v3 Scores
  National Vulnerability Database SUSE
Base Score 9.8 4
Vector AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H AV:L/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:L
Access Vector Network Local
Access Complexity Low Low
Privileges Required None None
User Interaction None None
Scope Unchanged Unchanged
Confidentiality Impact High None
Integrity Impact High None
Availability Impact High Low
SUSE Bugzilla entry: 1106857 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Module for Desktop Applications 15
  • ImageMagick >= 7.0.7.34-3.24.1
  • ImageMagick-devel >= 7.0.7.34-3.24.1
  • libMagick++-7_Q16HDRI4 >= 7.0.7.34-3.24.1
  • libMagick++-devel >= 7.0.7.34-3.24.1
  • libMagickCore-7_Q16HDRI6 >= 7.0.7.34-3.24.1
  • libMagickWand-7_Q16HDRI6 >= 7.0.7.34-3.24.1
Patchnames:
SUSE-SLE-Module-Desktop-Applications-15-2018-2118
SUSE Linux Enterprise Module for Desktop Applications 15 SP1
  • ImageMagick >= 7.0.7.34-3.54.3
  • ImageMagick-config-7-SUSE >= 7.0.7.34-3.54.3
  • ImageMagick-devel >= 7.0.7.34-3.54.3
  • libMagick++-7_Q16HDRI4 >= 7.0.7.34-3.54.3
  • libMagick++-devel >= 7.0.7.34-3.54.3
  • libMagickCore-7_Q16HDRI6 >= 7.0.7.34-3.54.3
  • libMagickWand-7_Q16HDRI6 >= 7.0.7.34-3.54.3
Patchnames:
SUSE Linux Enterprise Module for Desktop Applications 15 SP1 GA ImageMagick
SUSE Linux Enterprise Module for Development Tools 15
  • ImageMagick >= 7.0.7.34-3.24.1
  • perl-PerlMagick >= 7.0.7.34-3.24.1
Patchnames:
SUSE-SLE-Module-Development-Tools-15-2018-2118
SUSE Linux Enterprise Module for Development Tools 15 SP1
  • perl-PerlMagick >= 7.0.7.34-3.54.3
Patchnames:
SUSE Linux Enterprise Module for Development Tools 15 SP1 GA perl-PerlMagick
openSUSE Leap 15.0
  • ImageMagick >= 7.0.7.34-lp150.2.15.1
  • ImageMagick-debuginfo >= 7.0.7.34-lp150.2.15.1
  • ImageMagick-debugsource >= 7.0.7.34-lp150.2.15.1
  • ImageMagick-devel >= 7.0.7.34-lp150.2.15.1
  • ImageMagick-devel-32bit >= 7.0.7.34-lp150.2.15.1
  • ImageMagick-doc >= 7.0.7.34-lp150.2.15.1
  • ImageMagick-extra >= 7.0.7.34-lp150.2.15.1
  • ImageMagick-extra-debuginfo >= 7.0.7.34-lp150.2.15.1
  • libMagick++-7_Q16HDRI4 >= 7.0.7.34-lp150.2.15.1
  • libMagick++-7_Q16HDRI4-32bit >= 7.0.7.34-lp150.2.15.1
  • libMagick++-7_Q16HDRI4-32bit-debuginfo >= 7.0.7.34-lp150.2.15.1
  • libMagick++-7_Q16HDRI4-debuginfo >= 7.0.7.34-lp150.2.15.1
  • libMagick++-devel >= 7.0.7.34-lp150.2.15.1
  • libMagick++-devel-32bit >= 7.0.7.34-lp150.2.15.1
  • libMagickCore-7_Q16HDRI6 >= 7.0.7.34-lp150.2.15.1
  • libMagickCore-7_Q16HDRI6-32bit >= 7.0.7.34-lp150.2.15.1
  • libMagickCore-7_Q16HDRI6-32bit-debuginfo >= 7.0.7.34-lp150.2.15.1
  • libMagickCore-7_Q16HDRI6-debuginfo >= 7.0.7.34-lp150.2.15.1
  • libMagickWand-7_Q16HDRI6 >= 7.0.7.34-lp150.2.15.1
  • libMagickWand-7_Q16HDRI6-32bit >= 7.0.7.34-lp150.2.15.1
  • libMagickWand-7_Q16HDRI6-32bit-debuginfo >= 7.0.7.34-lp150.2.15.1
  • libMagickWand-7_Q16HDRI6-debuginfo >= 7.0.7.34-lp150.2.15.1
  • perl-PerlMagick >= 7.0.7.34-lp150.2.15.1
  • perl-PerlMagick-debuginfo >= 7.0.7.34-lp150.2.15.1
Patchnames:
openSUSE-2019-758


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
SUSE Linux Enterprise Desktop 12 SP3 ImageMagick Not affected
SUSE Linux Enterprise Module for Desktop Applications 15 GA ImageMagick Released
SUSE Linux Enterprise Module for Development Tools 15 GA ImageMagick Released
SUSE Linux Enterprise SDK 11 SP4 ImageMagick Not affected
SUSE Linux Enterprise SDK 12 SP3 ImageMagick Not affected
SUSE Linux Enterprise Server 11 SP3 LTSS ImageMagick Not affected
SUSE Linux Enterprise Server 11 SP4 ImageMagick Not affected
SUSE Linux Enterprise Server 12 GA LTSS ImageMagick Not affected
SUSE Linux Enterprise Server 12 SP1 LTSS ImageMagick Not affected
SUSE Linux Enterprise Server 12 SP2 LTSS ImageMagick Not affected
SUSE Linux Enterprise Server 12 SP3 ImageMagick Not affected
SUSE Linux Enterprise Workstation Extension 12 SP3 ImageMagick Not affected